Permalink
Browse files

Change gemspec runtime depencies to development dependencies.

We only need these gem dependencies to run the tests, not to load the gem.
  • Loading branch information...
1 parent a568c96 commit ccd80c7e46efe2b95a87b7a20de75753c3e3840c Winfield Peterson committed Jan 6, 2012
Showing with 5 additions and 5 deletions.
  1. +5 −5 settingslogic.gemspec
View
@@ -44,13 +44,13 @@ Gem::Specification.new do |s|
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
- s.add_runtime_dependency(%q<rake>, [">= 0"])
- s.add_runtime_dependency(%q<jeweler>, [">= 0"])
- s.add_runtime_dependency(%q<rspec>, [">= 0"])
+ s.add_development_dependency(%q<rake>, [">= 0"])
+ s.add_development_dependency(%q<jeweler>, [">= 0"])
+ s.add_development_dependency(%q<rspec>, [">= 0"])
if RUBY_VERSION < "1.9"
- s.add_runtime_dependency(%q<ruby-debug>, [">= 0"])
+ s.add_development_dependency(%q<ruby-debug>, [">= 0"])
else
- s.add_runtime_dependency(%q<ruby-debug19>, [">= 0"])
+ s.add_development_dependency(%q<ruby-debug19>, [">= 0"])
end
else
s.add_dependency(%q<rake>, [">= 0"])

0 comments on commit ccd80c7

Please sign in to comment.